import { Command as $Command } from "@smithy/smithy-client";
import { MetadataBearer as __MetadataBearer } from "@smithy/types";
import {
  CodePipelineClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../CodePipelineClient";
import {
  ListActionTypesInput,
  ListActionTypesOutput,
} from "../models/models_0";
export { __MetadataBearer };
export { $Command };
export interface ListActionTypesCommandInput extends ListActionTypesInput {}
export interface ListActionTypesCommandOutput
  extends ListActionTypesOutput,
    __MetadataBearer {}
declare const ListActionTypesCommand_base: {
  new (
    input: ListActionTypesCommandInput
  ): import("@smithy/smithy-client").CommandImpl<
    ListActionTypesCommandInput,
    ListActionTypesCommandOutput,
    CodePipelineClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  new (
    ...[input]: [] | [ListActionTypesCommandInput]
  ): import("@smithy/smithy-client").CommandImpl<
    ListActionTypesCommandInput,
    ListActionTypesCommandOutput,
    CodePipelineClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  getEndpointParameterInstructions(): import("@smithy/middleware-endpoint").EndpointParameterInstructions;
};
export declare class ListActionTypesCommand extends ListActionTypesCommand_base {}
