import { Command as $Command } from "@smithy/smithy-client";
import { MetadataBearer as __MetadataBearer } from "@smithy/types";
import {
  CodePipelineClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../CodePipelineClient";
import { ListPipelinesInput, ListPipelinesOutput } from "../models/models_0";
export { __MetadataBearer };
export { $Command };
export interface ListPipelinesCommandInput extends ListPipelinesInput {}
export interface ListPipelinesCommandOutput
  extends ListPipelinesOutput,
    __MetadataBearer {}
declare const ListPipelinesCommand_base: {
  new (
    input: ListPipelinesCommandInput
  ): import("@smithy/smithy-client").CommandImpl<
    ListPipelinesCommandInput,
    ListPipelinesCommandOutput,
    CodePipelineClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  new (
    ...[input]: [] | [ListPipelinesCommandInput]
  ): import("@smithy/smithy-client").CommandImpl<
    ListPipelinesCommandInput,
    ListPipelinesCommandOutput,
    CodePipelineClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  getEndpointParameterInstructions(): import("@smithy/middleware-endpoint").EndpointParameterInstructions;
};
export declare class ListPipelinesCommand extends ListPipelinesCommand_base {}
