import { Command as $Command } from "@smithy/smithy-client";
import { MetadataBearer as __MetadataBearer } from "@smithy/types";
import {
  CodePipelineClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../CodePipelineClient";
import {
  PutApprovalResultInput,
  PutApprovalResultOutput,
} from "../models/models_0";
export { __MetadataBearer };
export { $Command };
export interface PutApprovalResultCommandInput extends PutApprovalResultInput {}
export interface PutApprovalResultCommandOutput
  extends PutApprovalResultOutput,
    __MetadataBearer {}
declare const PutApprovalResultCommand_base: {
  new (
    input: PutApprovalResultCommandInput
  ): import("@smithy/smithy-client").CommandImpl<
    PutApprovalResultCommandInput,
    PutApprovalResultCommandOutput,
    CodePipelineClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  new (
    __0_0: PutApprovalResultCommandInput
  ): import("@smithy/smithy-client").CommandImpl<
    PutApprovalResultCommandInput,
    PutApprovalResultCommandOutput,
    CodePipelineClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  getEndpointParameterInstructions(): import("@smithy/middleware-endpoint").EndpointParameterInstructions;
};
export declare class PutApprovalResultCommand extends PutApprovalResultCommand_base {}
