import { Command as $Command } from "@smithy/smithy-client";
import { MetadataBearer as __MetadataBearer } from "@smithy/types";
import {
  CodePipelineClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../CodePipelineClient";
import { DisableStageTransitionInput } from "../models/models_0";
export { __MetadataBearer };
export { $Command };
export interface DisableStageTransitionCommandInput
  extends DisableStageTransitionInput {}
export interface DisableStageTransitionCommandOutput extends __MetadataBearer {}
declare const DisableStageTransitionCommand_base: {
  new (
    input: DisableStageTransitionCommandInput
  ): import("@smithy/smithy-client").CommandImpl<
    DisableStageTransitionCommandInput,
    DisableStageTransitionCommandOutput,
    CodePipelineClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  new (
    __0_0: DisableStageTransitionCommandInput
  ): import("@smithy/smithy-client").CommandImpl<
    DisableStageTransitionCommandInput,
    DisableStageTransitionCommandOutput,
    CodePipelineClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  getEndpointParameterInstructions(): import("@smithy/middleware-endpoint").EndpointParameterInstructions;
};
export declare class DisableStageTransitionCommand extends DisableStageTransitionCommand_base {}
