import { Command as $Command } from "@smithy/smithy-client";
import { MetadataBearer as __MetadataBearer } from "@smithy/types";
import {
  CodePipelineClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../CodePipelineClient";
import {
  ListActionExecutionsInput,
  ListActionExecutionsOutput,
} from "../models/models_0";
export { __MetadataBearer };
export { $Command };
export interface ListActionExecutionsCommandInput
  extends ListActionExecutionsInput {}
export interface ListActionExecutionsCommandOutput
  extends ListActionExecutionsOutput,
    __MetadataBearer {}
declare const ListActionExecutionsCommand_base: {
  new (
    input: ListActionExecutionsCommandInput
  ): import("@smithy/smithy-client").CommandImpl<
    ListActionExecutionsCommandInput,
    ListActionExecutionsCommandOutput,
    CodePipelineClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  new (
    __0_0: ListActionExecutionsCommandInput
  ): import("@smithy/smithy-client").CommandImpl<
    ListActionExecutionsCommandInput,
    ListActionExecutionsCommandOutput,
    CodePipelineClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  getEndpointParameterInstructions(): import("@smithy/middleware-endpoint").EndpointParameterInstructions;
};
export declare class ListActionExecutionsCommand extends ListActionExecutionsCommand_base {}
